import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (a, t, s, l) => {
  for (var e = l > 1 ? void 0 : l ? m(t, s) : t, i = a.length - 1, o; i >= 0; i--)
    (o = a[i]) && (e = (l ? o(t, s, e) : o(e)) || e);
  return l && e && v(t, s, e), e;
};
let r = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--walletFilled", this.class = "c-pieIcon c-pieIcon--walletFilled", this.name = "IconWalletFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--walletFilled"><path d="m9.75 3.065-.263-.735a1.531 1.531 0 0 0-1.995-.831L3.73 3.065h6.02Z"></path><path d="M10.397 11.325a.394.394 0 0 1-.394-.394v-3.15c.001-.075.025-.149.07-.21a.385.385 0 0 1 .298-.183h3.115v-1.48a1.531 1.531 0 0 0-1.531-1.53h-8.97a1.549 1.549 0 0 0-.664.122 1.496 1.496 0 0 0-.761.875c-.071.169-.107.35-.105.534v7a1.54 1.54 0 0 0 1.53 1.531h8.97a1.54 1.54 0 0 0 1.53-1.531v-1.584h-3.088Z"></path><path d="M11.316 8.7v1.304h3.019V8.7h-3.02Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-wallet-filled")
], r);
export {
  r as IconWalletFilled
};
